Page MenuHomePhabricator

Astropay errors should be red text and not popup
Closed, ResolvedPublic2 Story Points

Description

Like in T86214 on the GC forms

Sign off: @atgo

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterUse helper callback to render Mustache errors
mediawiki/extensions/DonationInterface : masterReplace alert with red errors for Mustache forms
mediawiki/extensions/DonationInterface : masterDRY up validate_personal

Event Timeline

atgo raised the priority of this task from to Medium.
atgo updated the task description. (Show Details)
atgo added a subscriber: atgo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 10:39 PM
DStrine set Security to None.Jul 29 2015, 10:42 PM
DStrine edited a custom field.
atgo updated the task description. (Show Details)Aug 5 2015, 6:06 PM

Change 284627 had a related patch set uploaded (by Ejegg):
DRY up validate_personal

https://gerrit.wikimedia.org/r/284627

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 21 2016, 4:37 AM

Change 284835 had a related patch set uploaded (by Ejegg):
WIP inline errors for mustache

https://gerrit.wikimedia.org/r/284835

Ejegg claimed this task.Apr 22 2016, 1:51 PM
Ejegg changed the point value for this task from 1 to 2.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Hermit Crab Husbandry board.
Ejegg added a subscriber: atgo.

Change 284911 had a related patch set uploaded (by Ejegg):
Red errors for Mustache forms using callback

https://gerrit.wikimedia.org/r/284911

Change 284627 merged by jenkins-bot:
DRY up validate_personal

https://gerrit.wikimedia.org/r/284627

Change 284835 merged by jenkins-bot:
Replace alert with red errors for Mustache forms

https://gerrit.wikimedia.org/r/284835

Change 284911 merged by jenkins-bot:
Use helper callback to render Mustache errors

https://gerrit.wikimedia.org/r/284911

atgo removed a subscriber: atgo.Apr 22 2016, 6:19 PM
Ejegg closed this task as Resolved.Apr 27 2016, 10:01 PM
Ejegg added a subscriber: atgo.